#ifndef ITYPES
#define ITYPES

struct list_structs {
  int min, max, public, private;
  char *str;
};

typedef int (*ROUTINE)(short);
struct itemlistcell {
  unsigned short buffer_length;
  unsigned short item_code;
  unsigned buffer_addr;
  unsigned return_addr;
};

struct iosb_type {
  unsigned short status;
  unsigned short length;
  short other[2];
};

typedef struct assign *assign_ptr;
struct assign {
  char *word;
  char *value;
  assign_ptr sub, next;
};

struct in_addr {
  union {
    struct { unsigned char s_b1, s_b2, s_b3, s_b4; } S_un_b;
    unsigned long S_addr;
  } S_un;
#define s_addr S_un.S_addr
};

typedef struct sockaddr_in_type SIN;
struct sockaddr_in_type {
  unsigned short sin_family;
  unsigned short sin_port;
  unsigned long sin_address;
  unsigned long sin_zero[2];
};

struct sockaddr {
  unsigned short sa_family;
  char sa_data[14];
};

#endif
